Delete cases

Base URL
https://{kibana_url}
  • DELETE /api/cases
  • DELETE /s/{space_id}/api/cases
Auth

You must have read or all privileges and the delete sub-feature privilege for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the cases you're deleting.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

ids string[] required

The cases that you want to removed. To get the case identifiers, use the search cases (_find) API. In the Dev Console, you can specify the array of cases in the following format: ids=["e58e77e3-ef8e-4251-926f-efb115f3c4ec"]. In curl, all non-ASCII characters must be URL encoded. For example: ids=%5B%22e58e77e3-ef8e-4251-926f-efb115f3c4ec%22%5D

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Responses

204

Indicates a successful call.

Authorization information is missing or invalid.

application/json
error string
message string
statusCode integer
Base URL
https://{kibana_url}